package de.accso.flexinale.backoffice.application.services.mapper;

import de.accso.flexinale.backoffice.domain.model.Film;
import de.accso.flexinale.backoffice_api_contract.api_contract.model.FilmTO;

import static de.accso.flexinale.common.shared_kernel.RawWrapper.getRawOrNull;

public final class Film2FilmTOMapper {

    public static FilmTO map(final Film film) {
        return new FilmTO(film.id(), film.version(),
                new FilmTO.Titel(getRawOrNull(film.titel)),
                new FilmTO.ImdbUrl(getRawOrNull(film.imdbUrl)),
                new FilmTO.DauerInMinuten(getRawOrNull(film.dauerInMinuten)));
    }
}
